java.net

## Interface SocketImplFactory

-     public interface SocketImplFactory

  This interface defines a factory for socket implementations. It is used by the classes `Socket` and `ServerSocket` to create actual socket implementations.
  Since:
    JDK1.0
  See Also:
    `Socket`, `ServerSocket`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SocketImpl` | `createSocketImpl()` Creates a new `SocketImpl` instance.

- - ### Method Detail

    - #### createSocketImpl

          SocketImpl createSocketImpl()

      Creates a new `SocketImpl` instance.
      Returns:
        a new instance of `SocketImpl`.
      See Also:
        `SocketImpl`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.